Subject: Re: [PATCH v2 5/8] gitweb: Move HTML-formatting diff line back to process_diff_line()

From: Michał Kiedrowicz <[email-masked]>
Date: Thu, 29 Mar 2012 19:36:58 +0200

Jakub Narebski <[email-masked]> wrote:

> On Fri, 23 Mar 2012, Michał Kiedrowicz wrote:
> 
> > Commit 6ba1eb51b (gitweb: Add a feature to show side-by-side diff,
> > 2011-10-31) for no special reason moved wrapping diff line in <div> out
> > of format_diff_line(). Bring back old behavior.
> > 
> I remember that originally process_diff_line was format_diff_line... 
> 
> > This simplifies code in git_patchset_body() and keeps formatting of a
> > diff line in one place.
> > 
> That is a good enough reason for me.
> 
> > The more long-term purpose of this patch is to move formatting diff
> > lines down to print_diff_chunk(), to allow processing lines without
> > HTML-formatting.
> > 
> Excuse me, but from this commit message (and from the patch itseld)
> I don't see how this commit (patch) can help with this goal (and
> don't remember details of discussion).
> 
> Please explain it in more detail, or simply remove above paragraph.

The important part in this patch is that it removes some of HTML
formatting from git_patchset_body().  I need this because I want to
process whole chunk before formatting.  So I must push all lines in a
chunk to print_diff_chunk(). 

But I may remove this paragraph as well.

> 
> > This is just a refactoring patch. It's not meant to change gitweb
> > output.
> > 
> > Signed-off-by: Michał Kiedrowicz <[email-masked]>
> > Acked-by: Jakub Narębski <[email-masked]>
> > ---
> [...]